/* This file contains commands to add data to the Branch table
The Branch numbers are obtained from an automatically generated sequence
Manager numbers are not entered now because there are no employee records yet
*/

-- First any existing data and sequence numbers are deleted
DROP SEQUENCE BranchSeq
go
DELETE FROM BRANCH
go

-- Automatic sequencing of the Branch number is started
CREATE SEQUENCE BRANCHSEQ 
INCREMENT BY 1 
START WITH 1 MAXVALUE 99 MINVALUE 1 
NOCYCLE CACHE 20 NOORDER
go

-- the data
INSERT INTO Branch VALUES (BranchSeq.NEXTVAL,'113 Buchanan St. G1',null)
go
INSERT INTO Branch VALUES (BranchSeq.NEXTVAL,'568 Alexandra Parade G31',null)
go
INSERT INTO Branch VALUES (BranchSeq.NEXTVAL,'14 Annfield Place G31',null)
go
INSERT INTO Branch VALUES (BranchSeq.NEXTVAL,'292 Argyle St. G2',null)
go
INSERT INTO Branch VALUES (BranchSeq.NEXTVAL,'995 Argyle St. G3',null)
go
INSERT INTO Branch VALUES (BranchSeq.NEXTVAL,'1558 Gt. Western Rd. G13',null)
go

-- commit changes now, so other applications (eg dba studio) can see effect
COMMIT
go

-- list branch details
SELECT * FROM BRANCH ORDER BY BranchNo
go